'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var context = require('./context.js');

function usePerformanceEffect(callback, dependencies = []) {
  const performance = React.useContext(context.PerformanceContext);
  React.useEffect(() => {
    if (performance == null) {
      return;
    }
    const cleanup = callback(performance);
    if (cleanup) {
      return cleanup;
    }
    return undefined;
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [performance, ...dependencies]);
}

exports.usePerformanceEffect = usePerformanceEffect;
