'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var performanceEffect = require('./performance-effect.js');
var types = require('./types.js');

function usePerformanceMark(stage, id) {
  performanceEffect.usePerformanceEffect(performance => {
    if (stage === types.Stage.Complete) {
      performance.finish();
    } else if (stage === types.Stage.Usable) {
      performance.usable();
    }
    performance.mark(stage, id);
  }, [stage, id]);
}

exports.usePerformanceMark = usePerformanceMark;
