import { useContext, useEffect } from 'react';
import { PerformanceContext } from './context.mjs';

function usePerformanceEffect(callback, dependencies = []) {
  const performance = useContext(PerformanceContext);
  useEffect(() => {
    if (performance == null) {
      return;
    }
    const cleanup = callback(performance);
    if (cleanup) {
      return cleanup;
    }
    return undefined;
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [performance, ...dependencies]);
}

export { usePerformanceEffect };
