import { usePerformanceEffect } from './performance-effect.mjs';
import { Stage } from './types.mjs';

function usePerformanceMark(stage, id) {
  usePerformanceEffect(performance => {
    if (stage === Stage.Complete) {
      performance.finish();
    } else if (stage === Stage.Usable) {
      performance.usable();
    }
    performance.mark(stage, id);
  }, [stage, id]);
}

export { usePerformanceMark };
